> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Video metadata extraction

> Extract metadata from video transcripts, such as speaker information.



## OpenAPI

````yaml POST /features/video-metadata-extraction
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /features/video-metadata-extraction:
    post:
      description: Extract metadata from video transcripts, such as speaker information.
      requestBody:
        description: Video transcript for metadata extraction
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoMetadataExtractionRequest'
        required: true
      responses:
        '200':
          description: Metadata extracted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoMetadataExtractionResponse'
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    VideoMetadataExtractionRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: The video transcript content
    VideoMetadataExtractionResponse:
      type: object
      properties:
        author_name:
          type: string
          description: Name of the video author/speaker
        author_organisation:
          type: string
          description: Organization of the video author/speaker
        author_position:
          type: string
          description: Position or title of the video author/speaker
        extra_information:
          type: object
          description: Additional dynamic metadata
          additionalProperties:
            type: string
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````